## python-graph 1.6.1

=== Makefile ===
none:

install:
	./setup.py install

egg: clean
	./setup.py bdist_egg

docs: cleanpyc
	rm -rf docs
	epydoc -v --no-frames --no-sourcecode --name="python-graph" \
		--url="http://code.google.com/p/python-graph/" \
		--no-private --html --css misc/epydoc.css -o docs pygraph/*.py \
		pygraph/algorithms/*py pygraph/algorithms/heuristics/*.py \
		pygraph/algorithms/filters/* pygraph/readwrite/* pygraph/classes/*.py

test:
	cd tests && python testrunner.py

cleanpyc:
	rm -f pygraph/*.pyc
	rm -f pygraph/*/*.pyc
	rm -f pygraph/*/*/*.pyc
	rm -f tests/*.pyc

clean: cleanpyc
	rm -rf docs
	rm -rf dist
	rm -rf build
	rm -rf python_graph.egg-info
	rm -f examples/*.png

.PHONY: clean cleanpyc docs

## python-graph 1.8.0

=== Makefile ===
# python-graph
# Makefile


# Module directories -------------------------------------------------

CORE_DIR="core/"
DOT_DIR="dot/"
TESTS_DIR="tests/"
DOCS_DIR="docs/"
TEMP="temp/"
PYTHONPATH="`pwd`/core:`pwd`/dot"


# General ------------------------------------------------------------

nothing:

sdist: clean sdist-core sdist-dot
	rm -rf dist
	mkdir dist
	cp */dist/* dist


# Core ---------------------------------------------------------------

install-core:
	cd ${CORE_DIR} && ./setup.py install

sdist-core: clean
	cd ${CORE_DIR} && ./setup.py sdist


# Dot ----------------------------------------------------------------

install-dot:
	cd ${DOT_DIR} && ./setup.py install

sdist-dot: clean
	cd ${DOT_DIR} && ./setup.py sdist


# Docs ---------------------------------------------------------------

docs: cleanpyc
	rm -rf ${DOCS_DIR} ${TEMP}
	mkdir -p ${TEMP}
	cp -R --remove-destination ${CORE_DIR}/pygraph ${TEMP}
	cp -Rn --remove-destination ${DOT_DIR}/pygraph/readwrite ${TEMP}/pygraph/
	epydoc -v --no-frames --no-sourcecode --name="python-graph" \
		--url="http://code.google.com/p/python-graph/" \
		--inheritance listed --no-private --html \
		--graph classtree \
		--css misc/epydoc.css -o docs ${TEMP}/pygraph/*.py \
		${TEMP}/pygraph/algorithms/*py \
		${TEMP}/pygraph/algorithms/heuristics/*.py \
		${TEMP}/pygraph/algorithms/filters/* \
		${TEMP}/pygraph/readwrite/* \
		${TEMP}/pygraph/classes/*.py \
		${TEMP}/pygraph/mixins/*.py
		rm -rf ${TEMP}


# Tests --------------------------------------------------------------

test-pre:
	reset

test: test-pre
	export PYTHONPATH=${PYTHONPATH} && cd ${TESTS_DIR} && python testrunner.py

test3: test-pre
	export PYTHONPATH=${PYTHONPATH} && cd ${TESTS_DIR} && python3 testrunner.py

tests: test


# Tests --------------------------------------------------------------

console:
	export PYTHONPATH=${PYTHONPATH} && cd ${TESTS_DIR} && python

console3:
	export PYTHONPATH=${PYTHONPATH} && cd ${TESTS_DIR} && python3


# Cleaning -----------------------------------------------------------

cleanpyc:
	find . -name *.pyc -exec rm {} \;

clean: cleanpyc
	rm -rf ${DOCS_DIR}
	rm -rf */dist
	rm -rf */build
	rm -rf */*.egg-info
	rm -rf dist


# Phony rules --------------------------------------------------------

.PHONY: clean cleanpyc docs-core

## python-graph 1.8.1

=== debian/changelog ===
python-graph (1.8.1-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - bump Standards-Version to 3.9.2 (no changes needed)
    - rename field XS-P-V to X-P-V
  * debian/watch
    - update to reflecg Google Code changes
  * debian/copyright
    - updated copyright years
  * debian/patches/10_exceptions_catch_fix.dpatch
    - removed, we don't support 2.5 anymore
  * Switch to 3.0 (quilt) source format
  * Switch to compat debian/rules format

 -- Sandro Tosi <morph@debian.org>  Mon, 09 Jan 2012 18:59:30 +0100

python-graph (1.8.0-2) unstable; urgency=low

  * debian/control
    - added python-pkg-resources to Depends; thanks to Alexander Heinlein for
      the report; Closes: #614414
    - remove Replaces/Provides/Conflict with python-graph << 1.6.1-1, no more
      needed
    - removed XB-P-V, not used

 -- Sandro Tosi <morph@debian.org>  Sun, 24 Apr 2011 16:30:48 +0200

python-graph (1.8.0-1) experimental; urgency=low

  * New upstream release
  * debian/copyright
    - added new upstream author
  * debian/control
    - bump Standards-Version to 3.9.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 17 Oct 2010 10:58:12 +0200

python-graph (1.7.0-1) unstable; urgency=low

  * New upstream release
  * debian/patches/20_remove_reset.dpatch
    - Don't use reset to clean the screen before running tests (play bad with
      our build systems)
  * debian/python-pygraph.doc-base
    - added doc-base registration

 -- Sandro Tosi <morph@debian.org>  Wed, 24 Mar 2010 20:06:14 +0100

python-graph (1.6.3-1) unstable; urgency=low

  * New upstream release
  * debian/patches/10_remove_doc_installation
    - removed, no more needed
  * debian/rules
    - upstream changed the build system, updated accordingly
    - detect build dir dinamically, to support both Python 2.5 and 2.6
    - install also files under 'dot/' dir
    - install tests instead of examples (removed from upstream tarball)
  * debian/patches/10_exceptions_catch_fix.dpatch
    - added to catch exceptions in a way compatible with Python 2.5
  * debian/control
    - bump Standards-Version to 3.8.4 (no changes needed)
    - suggests python-pyparsing, needed for dot support
    - fixed Provices/Provides typo
    - remove version from Provides field
    - drop 'python-graph' transitional package
    - updated long description
  * debian/copyright
    - extended packaging copyright years, fixing the legal notice too
  * debian/{control, rules}
    - pass '--install-layout=deb' to setup.py install calls, for Python 2.6
  * debian/README.Debian
    - removed, no more needed

 -- Sandro Tosi <morph@debian.org>  Wed, 03 Mar 2010 07:14:12 +0100

python-graph (1.6.1-1) unstable; urgency=low

  * New upstream release
    - debian/{control, rules}
      + renamed bin pkg to python-pygraph due to module rename (python-graph is
        now a transitional pkg)
  * debian/control
    - bump Standards-Version to 3.8.3 (no changes needed)
  * debian/patches/10_remove_doc_installation.dpatch
    - adapted to new upstream code
  * debian/copyright
    - updated list of upstream copyright holders
  * debian/rules
    - use testrunner to execute unit tests

 -- Sandro Tosi <morph@debian.org>  Thu, 20 Aug 2009 01:03:44 +0200

python-graph (1.5.0-1) unstable; urgency=low

  * New upstream release
  * debian/copyright
    - updated copyright authors notice, removing all the copyright exceptions
  * debian/control
    - added python-pydot to Depends, and to b-d-i (for tests)
  * debian/patches/10_remove_doc_installation.dpatch
    - updated to new upstream code
  * bump Standards-Version to 3.8.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Mon, 18 May 2009 20:52:00 +0200

python-graph (1.4.2-1) unstable; urgency=low

  * New upstream release
  * debian/copyright
    - extended packaging copyright years
    - extended upstream copyright years
    - updated list of files with different copyright notices
  * debian/patches/10_remove_doc_installation.dpatch
    - adapted to new upstrem code
  * debian/patches/{20_fix_make_clean.dpatch, 30_fix_make_docs.dpatch}
    - removed since no more needed (due to upstream code changes)
  * debian/rules
    - changed location of test files
  * debian/{control, rules}
    - switch to python-support
  * debian/control
    - added python-setuptools to b-d-i

 -- Sandro Tosi <morph@debian.org>  Tue, 03 Mar 2009 20:11:38 +0100

python-graph (1.3.1-1) unstable; urgency=low

  * Initial release (Closes: #509722)

 -- Sandro Tosi <morph@debian.org>  Fri, 26 Dec 2008 15:04:30 +0100

=== debian/control ===
Source: python-graph
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sandro Tosi <morph@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python-support, python (>= 2.5.3-1~), python-epydoc, python-setuptools, python-pydot
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/python-graph/
Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/python-graph/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-graph/trunk/
X-Python-Version: all

Package: python-pygraph
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-pydot, python-pkg-resources
Suggests: libgv-python, python-pyparsing
Description: library for working with graphs in Python
 This software provides a suitable data structure for representing graphs and a
 whole set of important algorithms.
 .
 Provided features and algorithms:
 .
  * Support for directed, undirected, weighted and non-weighted graphs
  * Support for hypergraphs
  * Canonical operations
  * XML import and export
  * DOT-Language output (for usage with Graphviz)
  * Random graph generation
 .
  * Accessibility (transitive closure)
  * Breadth-first search
  * Critical path algorithm
  * Cut-vertex and cut-edge identification
  * Cycle detection
  * Depth-first search
  * Heuristic search (A* algorithm)
  * Identification of connected components
  * Minimum spanning tree (Prim's algorithm)
  * Mutual-accessibility (strongly connected components)
  * Shortest path search (Dijkstra's algorithm)
  * Topological sorting
  * Transitive edge identification

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_build:
	cd core ; python setup.py build

	# run tests
	$(MAKE) tests PYTHONPATH=../$$(ls -d core/build/lib*/)

	$(MAKE) docs

override_dh_auto_install:
	cd core ; python setup.py install --root=$(CURDIR)/debian/python-pygraph --install-layout=deb
	cd dot  ; python setup.py install --root=$(CURDIR)/debian/python-pygraph --install-layout=deb

override_dh_installdocs:
	dh_installdocs		docs

override_dh_installexamples:
	dh_installexamples	tests/*.py

## python-graph 1.8.2

=== Makefile ===
--- 
+++ 
@@ -45,8 +45,8 @@
 docs: cleanpyc
 	rm -rf ${DOCS_DIR} ${TEMP}
 	mkdir -p ${TEMP}
-	cp -R --remove-destination ${CORE_DIR}/pygraph ${TEMP}
-	cp -Rn --remove-destination ${DOT_DIR}/pygraph/readwrite ${TEMP}/pygraph/
+	cp -R ${CORE_DIR}/pygraph ${TEMP}
+	cp -Rn ${DOT_DIR}/pygraph ${TEMP}/pygraph/
 	epydoc -v --no-frames --no-sourcecode --name="python-graph" \
 		--url="http://code.google.com/p/python-graph/" \
 		--inheritance listed --no-private --html \
@@ -88,6 +88,7 @@
 
 cleanpyc:
 	find . -name *.pyc -exec rm {} \;
+	find . -name __pycache__ -exec rm -rf {} \;
 
 clean: cleanpyc
 	rm -rf ${DOCS_DIR}

=== debian/changelog ===
python-graph (1.8.2-6) unstable; urgency=medium

  * debian/control
    - bump Standards-Version to 3.9.6 (no changes needed)
  * debian/rules
    - don't guess dependencies, avoiding a spurious dep on python-graph-core;
      thanks to Helmut Grohne for the report; Closes: #764308
  * debian/copyright
    - moved to DEP-5 format

 -- Sandro Tosi <morph@debian.org>  Sat, 25 Oct 2014 21:26:57 +0100

python-graph (1.8.2-5) unstable; urgency=medium

  * debian/control
    - switch me to Maintainer (team to Uploaders)
    - bump Standards-Version to 3.9.5 (no changes needed)
    - added python3-pydot to b-p-i, needed for tests
  * debian/patches/50_bts686695_use_prune_when_removing_pycache.patch
    - fix a FTBFS if built twice in a row; thanks to Jakub Wilk for the report
      and fix; Closes: #686695
  * Switch to dh_python2
  * Bump compat to 9
  * debian/rules
    - allow dh_python3 to guess deps, now python3-pydot is available
    - ignore errors when running tests

 -- Sandro Tosi <morph@debian.org>  Sun, 21 Sep 2014 11:56:48 +0100

python-graph (1.8.2-4) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Sandro Tosi ]
  * debian/control
    - bump Standards-Version to 3.9.4 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 29 Sep 2013 15:37:51 +0200

python-graph (1.8.2-3) experimental; urgency=low

  * debian/rules
    - byte-compile py3k module; thanks to Jakub Wilk for the report and fix;
      Closes: #697112
  * debian/copyright
    - extended packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Mon, 14 Jan 2013 14:24:40 +0100

python-graph (1.8.2-2) experimental; urgency=low

  * debian/control
    - replace python3-pkg-resources with python3-setuptools in b-d-i, needed
      to build the package; thanks to Jakub Wilk for the report; Closes: #686385

 -- Sandro Tosi <morph@debian.org>  Fri, 31 Aug 2012 23:22:11 +0200

python-graph (1.8.2-1) experimental; urgency=low

  * New upstream release
  * debian/copyright
    - updated upstream copyright years
  * debian/patches/20_remove_reset.patch
    - updated to reflect new upstream code
  * debian/control
    - bump Standards-Version to 3.9.3 (no changes needed)
    - added python3-pkg-resources to b-d-i, needed to run tests
  * debian/rules
    - run tests in the right target, honoring 'nocheck'
  * debian/patches/30_pass_python_to_makefile.patch
    - pass the python interpreter when running tests
  * debian/{control, rules}
    - build, test and install for all supported python2.x versions
    - provide Python 3 package
  * debian/patches/40_dont_clean_when_building_docs.patch
    - don't clean when building documentation

 -- Sandro Tosi <morph@debian.org>  Sun, 26 Aug 2012 21:29:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: python-graph
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Sandro Tosi <morph@debian.org>
-Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: python-support, python (>= 2.5.3-1~), python-epydoc, python-setuptools, python-pydot
-Standards-Version: 3.9.2
+Maintainer: Sandro Tosi <morph@debian.org>
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Build-Depends: debhelper (>= 9), dh-python
+Build-Depends-Indep: python-all (>= 2.5.3-1~), python3-all, python-epydoc, python-setuptools, python-pydot, python3-setuptools, python3-pydot
+Standards-Version: 3.9.6
 Homepage: http://code.google.com/p/python-graph/
-Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/python-graph/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-graph/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-graph/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-graph/trunk/
 X-Python-Version: all
+X-Python3-Version: all
 
 Package: python-pygraph
 Architecture: all
@@ -41,3 +42,38 @@
   * Shortest path search (Dijkstra's algorithm)
   * Topological sorting
   * Transitive edge identification 
+
+Package: python3-pygraph
+Architecture: all
+Depends: ${python3:Depends}, ${misc:Depends}, python3-pkg-resources
+#Depends: python-pydot
+Suggests: python3-pyparsing
+#Suggests: libgv-python,
+Description: library for working with graphs in Python (Python3)
+ This software provides a suitable data structure for representing graphs and a
+ whole set of important algorithms.
+ .
+ Provided features and algorithms:
+ .
+  * Support for directed, undirected, weighted and non-weighted graphs
+  * Support for hypergraphs
+  * Canonical operations
+  * XML import and export
+  * DOT-Language output (for usage with Graphviz)
+  * Random graph generation
+ .
+  * Accessibility (transitive closure)
+  * Breadth-first search
+  * Critical path algorithm
+  * Cut-vertex and cut-edge identification
+  * Cycle detection
+  * Depth-first search
+  * Heuristic search (A* algorithm)
+  * Identification of connected components
+  * Minimum spanning tree (Prim's algorithm)
+  * Mutual-accessibility (strongly connected components)
+  * Shortest path search (Dijkstra's algorithm)
+  * Topological sorting
+  * Transitive edge identification
+ .
+ This package contains the Python 3 version of pygraph.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PY2VERS := $(shell pyversions -s)
PY3VERS := $(shell py3versions -s)

%:
	dh $@ --with=python2,python3

override_dh_auto_build:
	set -e ; \
	for python in $(PY2VERS) $(PY3VERS); do \
		cd core ; $$python setup.py build ; cd .. ; \
	done

	$(MAKE) docs

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	-for python in $(PY2VERS) $(PY3VERS); do \
		# retrive the lib path \
		LIB=$$($$python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_purelib)") ; \
		$(MAKE) tests PYTHON=$$python PYTHONPATH=../core/$$LIB ; \
	done
endif

override_dh_auto_install:
	set -e ; \
	for python in $(PY2VERS); do \
		cd core ; $$python setup.py install --root=$(CURDIR)/debian/python-pygraph --install-layout=deb ; cd .. ; \
		cd dot  ; $$python setup.py install --root=$(CURDIR)/debian/python-pygraph --install-layout=deb ; cd .. ; \
	done
	set -e ; \
	for python in $(PY3VERS); do \
		cd core ; $$python setup.py install --root=$(CURDIR)/debian/python3-pygraph --install-layout=deb ; cd .. ; \
		cd dot  ; $$python setup.py install --root=$(CURDIR)/debian/python3-pygraph --install-layout=deb ; cd .. ; \
	done

	# clean up __pycache__ dirs, generated when running tests on the build dir
	find $(CURDIR)/debian/python3-pygraph -type d -name "__pycache__" | xargs rm -rf

override_dh_installdocs:
	dh_installdocs		docs

override_dh_installexamples:
	dh_installexamples	tests/*.py

override_dh_python2:
	dh_python2 --no-guessing-deps

=== debian/watch ===
version=3

http://code.google.com/p/python-graph/downloads/list //python-graph.googlecode.com/files/python-graph-([0-9.]*)\.zip
